/***************************************************************************
 * 
 *                  NE PAS MODIFIER CETTE SECTION 
 *                  
 **************************************************************************/
import java.awt.*;
import Listes.*;

public class Expresso extends FenetreTortue
{ 
     
/***************************************************************************
 * 
 *                      SECTION MODIFIABLE 
 *                  
 **************************************************************************/
 
 
 
/********************** Parametres de l'interface ************************/

    public static int baseFenetre = 780; // Largeur de la fen?tre
    public static int hauteurFenetre = 560; // Hauteur de la fen?tre
    public static String titreFenetre = "Les Coniques"; // Titre de la fen?tre
    // Le texte
    public static boolean zoneTexte = false; // Indique si on dsire ou non une zone de texte
    // Les boutons
    public static String[] nomsBoutonsLigne1 = {"Ellipse", "Hyperbole horizontale", "Hyperbole verticale","Parabole horizontale","Parabole verticale"}; // Noms des boutons de la ligne 1
    public static String[] nomsBoutonsLigne2 = {"Quitter"}; // Noms des boutons de la ligne 2
    // Les menus
    public static String[] nomsMenus1 = {}; // Exemple: private static String[] nomsMenus1 = {"nomMenu", "nomItem_1", ...};
    public static String[] nomsMenus2 = {}; // Laissez vide si vous ne dsirez pas de menu
    public static String[] nomsMenus3 = {};
    public static String[] nomsMenus4 = {};
    public static String[] nomsMenus5 = {};
    public static String[] nomsMenus6 = {};
    public static String[] nomsMenus7 = {};
    public static String[] nomsMenus8 = {};
    
    public static void ajoutDeGlissieres(){
        ajouterGlissiereLigne1("Parametre h ", -300,300,0,0);
        ajouterGlissiereLigne1("Parametre k ", -300,300,0,0);
        ajouterGlissiereLigne2(" a ", -300,300,100,1);
        ajouterGlissiereLigne2(" b ", -300,300,50,1);
        ajouterGlissiereLigne2("Rayon", 0,7,3.5,0);
    }

/****************** Initialisation *********************************/
   
double centreX=0, centreY=0;
double [] sommetX = new double [4];
double [] sommetY = new double [4];

int ConiqueChoisie=0;
int pointDeplace=0;

public void initialisation(){
   //fixerProportionZoneTexte(0.10);
   // tailleTexte(18);
    double a =(valeurGlissiere(3));
    double b =(valeurGlissiere(4));
        
    sommetX [0] = a;
    sommetY [0] = 0;
    
    sommetX [1] = 0;
    sommetY [1] = b;
    
    sommetX [2] = -a;
    sommetY [2] = 0;
    
    sommetX [3] = 0;
    sommetY [3] = -b ;
    
    DessinerConiques();  // dessine conique en ouvrant la fenetre
        // Placer ici les actions a realiser a l'ouverture
}
    
/****************** Placer vos procedures ici ****************************/

 

public void DessinerConiques(){
    double h =valEnt(valeurGlissiere(1));
    double  k =valEnt(valeurGlissiere(2));
    double a =(valeurGlissiere(3));
    double b =(valeurGlissiere(4));
    videTexte();
    videGraphique();
    if (ConiqueChoisie==0)  {DessinerEllipse(h,k,a,b);}
    if (ConiqueChoisie==1)  {DessinerHyperboleHoriz(h,k,a,b);}
    if (ConiqueChoisie==2)  {DessinerHyperboleVert(h,k,a,b);}
    if (ConiqueChoisie==3)  {DessinerParaboleHoriz(h,k,a,b);}
    if (ConiqueChoisie==4)  {DessinerParaboleVert(h,k,a,b);}
    DessinerAxesDuPlan();

}

/********************************ELLIPSE *************************************************************/

public void DessinerEllipse(double h, double  k, double a, double b){
    double rayondisque= valeurGlissiere(5);
    
    PlacerNouveauxSommetsEllipse(h,k,a,b);
    DessinerSommetsEllipse(h,k,a,b);
    DessinerFoyersEllipse(h,k,a,b);
    ContourEllipse(h,k,a,b); 
    ecrisFormuleEllipse();
}

public void DessinerSommetsEllipse(double  h, double  k, double a, double b){
   
    double rayondisque= valeurGlissiere(5);
    
    couleurRemplissage(noir);
    disque(centreX,centreY,rayondisque);
    disque(sommetX[0],sommetY[0],rayondisque);
    disque(sommetX[1],sommetY[1],rayondisque);
    disque(sommetX[2],sommetY[2],rayondisque);
    disque(sommetX[3],sommetY[3],rayondisque);
 
 
}

public void PlacerNouveauxSommetsEllipse(double  h, double  k, double a, double b){

    double rayondisque= valeurGlissiere(5);

    centreX = h;
    centreY = k;
    sommetX[0]= a+h;
    sommetY[0]= k;
    sommetX[1]= h;
    sommetY[1]= b+k;
    sommetX[2]= -a+h;
    sommetY[2]= k;
    sommetX[3]= h;
    sommetY[3]= -b+k;

}

public void DessinerFoyersEllipse(double  h, double  k, double a, double b){
    
    double rayondisque= valeurGlissiere(5);
    
    couleurRemplissage(bleu);
    if(abs(a)>abs(b)){
      disque (racine(a*a-b*b)+h, k, rayondisque);
      disque (-racine(a*a-b*b)+h, k, rayondisque);
    }
    if(abs(b)>abs(a)){
    disque (h,racine(b*b-a*a)+k, rayondisque);
    disque (h,-racine(b*b-a*a)+k, rayondisque);    
    }
}

public void ContourEllipse(double  h, double  k, double a,  double b){

    double coordx;
    double coordy ;  
    double point1x= h-abs(a);
    double point1y= k ;
    double nombrepas = 200;
    
  for (double i = 0; i<= nombrepas; i = i + 1 )
{
       double bcarre= b*b ;
       coordx = (h-abs(a))+(i*(2*abs(a)/(nombrepas)));
       coordy = racine((bcarre-((coordx-h)*(coordx-h))/(a*a)*(bcarre)))+k;
       segment ( point1x, point1y, coordx , coordy);
       point1x=coordx ;
       point1y= coordy;
       
    }
    point1x = h-abs(a);   // Empeche de faire segment entre h-a et h+a
    point1y= k;
    
    for (double i = 0; i<= nombrepas; i = i + 1 )
    
  {
       double bcarre= b*b ;
       coordx = (h-abs(a))+(i*(2*abs(a)/nombrepas));
       coordy = -racine((bcarre-((coordx-h)*(coordx-h))/(a*a)*(bcarre)))+k;
       segment ( point1x, point1y, coordx , coordy);
       point1x=coordx ;
       point1y= coordy;
    }
}


public void ecrisFormuleEllipse()  {
    
    double  h =(valeurGlissiere(1));
    double  k =(valeurGlissiere(2));
    double a =valeurGlissiere(3);
    double b =valeurGlissiere(4);  
    int la= valEnt(largeurZoneGraphique()/2);
    int ha= valEnt(hauteurZoneGraphique());
   
    ecrisGraphique( -la+30, ha/2.5, "( x            )");
    ecrisGraphique( -la+100, ha/2.455, "2");
    
    if (h != 0) {          // ! different de
            if (h > 0) {
            ecrisGraphique(-la+45, ha/2.5,"-" +h);
           }
            else {
            ecrisGraphique ( -la+45, ha/2.5,"+" + -h); 
           }
     
       }
       else {ecrisGraphique(-la+45, ha/2.5,"-" +h);}
    segment(-la+27, ha/2.7, -la+105, ha/2.7);
    ecrisGraphique(-la+35, ha/3.3, "(");
    ecrisGraphique(-la+40, ha/3.3, "" + a);
    ecrisGraphique(-la+90, ha/3.3, ")");
    ecrisGraphique(-la+95, ha/3.1, "2");
       
    ecrisGraphique( -la+113, ha/2.7, "+"); 
    ecrisGraphique( -la+125, ha/2.5, "( y            )");  
    ecrisGraphique( -la+195, ha/2.455, "2");  
    if (k != 0) {   
           if (k > 0) {
            ecrisGraphique(-la+140, ha/2.5, "-" + k);
           } 
            else {
              ecrisGraphique(-la+140, ha/2.5, "+" + -k);   
            }
        }
    else { ecrisGraphique(-la+140, ha/2.5, "-" + k);}
    segment(-la+122, ha/2.7, -la+200, ha/2.7);
    ecrisGraphique(-la+130, ha/3.3, "(");
    ecrisGraphique(-la+135, ha/3.3, "" + b); 
    ecrisGraphique(-la+185, ha/3.3, ")");
    ecrisGraphique(-la+190, ha/3.1, "2");
    ecrisGraphique(-la+205, ha/2.8, "= 1");
}

/********************************HYPERBOLE HORIZONTALE**************************************************/

public void DessinerHyperboleHoriz(double  h, double  k, double a, double b){
   double rayondisque= valeurGlissiere(5);
 
   DessinerSommetsHyperboleHoriz(h,k,a,b);
   ContourHyperboleHoriz(h,k,a,b);
   ecrisFormuleHyperboleHoriz();
   DessinerFoyerHyperboleHoriz(h,k,a,b);
}

public void DessinerSommetsHyperboleHoriz(double  h, double  k, double a, double b){
    double rayondisque= valeurGlissiere(5);
    
    couleurRemplissage(noir);
    disque(h,k,rayondisque);
    disque(h+a,k,rayondisque);
    disque(h-a,k,rayondisque);
    disque(h+a,k+b,rayondisque);
    disque(h+a,k-b,rayondisque);
    disque(h-a,k+b,rayondisque);
    disque(h-a,k-b,rayondisque);
    couleurCrayon(rouge);
    segment ((h-30*a),(k-30*b),(h+30*a),(k+30*b));  // asymptotes
    segment ((h-30*a),(k+30*b),(h+30*a),(k-30*b));   //asymptotes
}

public void ContourHyperboleHoriz(double  h, double  k, double a , double b){
    double coordx;
    double coordy ; 
    double coordy2;
    double point1x= h+abs(a);
    double point1y= k ;
    double point1y2=k;
    int la= valEnt(largeurZoneGraphique()/2);
    int ha= valEnt(hauteurZoneGraphique());
    int nombrepas = 100;
    
    for (double i = 0; i<= nombrepas; i = i + 1)
{//permet de faire la partie droite de l'hyperbole
        double bcarre= b*b ;
        coordx = (h+abs(a))+(i*(2*abs(a)/nombrepas));
        coordy = racine(-1*(bcarre-((coordx-h)*(coordx-h))/(a*a)*(bcarre)))+k;
        coordy2 = -1*(racine(-1*(bcarre-((coordx-h)*(coordx-h))/(a*a)*(bcarre))))+k;
        couleurCrayon (noir);
        segment ( point1x, point1y, coordx , coordy);
        couleurCrayon (noir);
        segment (point1x, point1y2, coordx, coordy2);
        point1x=coordx ;
        point1y= coordy;
        point1y2 = coordy2;
    }
      point1x = h-abs(a);   //Rinitialisation des valeurs de point1x et de point1y
      point1y= k;
      point1y2 = k;
      
        for (double i = 0; i<= nombrepas; i = i + 1)
{//permet de faire la partie gauche de l'hyperbole
        double bcarre= b*b ;
        coordx = (h-abs(a))-(i*(2*abs(a)/nombrepas));
        coordy = racine(-1*(bcarre-((coordx-h)*(coordx-h))/(a*a)*(bcarre)))+k;
        coordy2 = -1*(racine(-1*(bcarre-((coordx-h)*(coordx-h))/(a*a)*(bcarre))))+k;
        couleurCrayon (noir);
        segment ( point1x, point1y, coordx , coordy);
        couleurCrayon (noir);
        segment (point1x, point1y2, coordx, coordy2);
        point1x=coordx ;
        point1y= coordy;
        point1y2 = coordy2;
    }
    
}

public void ecrisFormuleHyperboleHoriz(){
    double  h =(valeurGlissiere(1));
    double  k =(valeurGlissiere(2));
    double a =(valeurGlissiere(3));
    double b =(valeurGlissiere(4));  
    int la= valEnt(largeurZoneGraphique()/2);
    int ha= valEnt(hauteurZoneGraphique());
        
    ecrisGraphique( -la+30, ha/2.5, "( x            )");
    ecrisGraphique( -la+100, ha/2.455, "2");
    if (h != 0) {          // ! different de
            if (h > 0) {
            ecrisGraphique(-la+45, ha/2.5,"-" +h);
           }
            else {
            ecrisGraphique ( -la+45, ha/2.5,"+" + -h); 
           }
       }
      else {ecrisGraphique(-la+45, ha/2.5,"-" +h);}
    segment(-la+27, ha/2.7, -la+105, ha/2.7);
    ecrisGraphique(-la+35, ha/3.3, "(");
    ecrisGraphique(-la+40, ha/3.3, "" + a);
    ecrisGraphique(-la+90, ha/3.3, ")");
    ecrisGraphique(-la+95, ha/3.1, "2");
       
    ecrisGraphique( -la+113, ha/2.7, "-"); 
    ecrisGraphique( -la+125, ha/2.5, "( y            )");  
    ecrisGraphique( -la+195, ha/2.455, "2");
    
    if (k != 0) {   
           if (k >0) {
            ecrisGraphique(-la+140, ha/2.5, "-" + k);
           } 
            else {
              ecrisGraphique(-la+140, ha/2.5, "+" + -k);   
            }
        }
    else {ecrisGraphique(-la+140, ha/2.5, "-" + k);}
    segment(-la+122, ha/2.7, -la+200, ha/2.7);
    ecrisGraphique(-la+130, ha/3.3, "(");
    ecrisGraphique(-la+135, ha/3.3, "" + b);
    ecrisGraphique(-la+185, ha/3.3, ")");
    ecrisGraphique(-la+190, ha/3.1, "2");
    ecrisGraphique(-la+205, ha/2.8, "= 1");
    
   
}

public void DessinerFoyerHyperboleHoriz (double  h, double  k, double a, double b){

      double rayondisque= valeurGlissiere(5);
     
      couleurRemplissage(bleu);
   
      disque (racine(a*a+b*b)+h, k, rayondisque);
      disque (-racine(a*a+b*b)+h, k, rayondisque);
 
}

/**************************************HYPERBOLE VERTICALE*****************************************************/

public void DessinerHyperboleVert(double  h, double  k, double a, double b){

   double rayondisque = valeurGlissiere(5);

   DessinerSommetsHyperboleVert(h,k,a,b);
   ContourHyperboleVert(h,k,a,b);
   ecrisFormuleHyperboleVert();
   DessinerFoyerHyperboleVert(h,k,a,b);
}

public void DessinerSommetsHyperboleVert(double  h, double  k, double a, double b){
   
    double rayondisque = valeurGlissiere(5); 
     
    couleurRemplissage(noir);
    disque(h,k,rayondisque);
    disque(h,k+b,rayondisque);
    disque(h,k-b,rayondisque);
    disque(h+a,k+b,rayondisque);
    disque(h+a,k-b,rayondisque);
    disque(h-a,k+b,rayondisque);
    disque(h-a,k-b,rayondisque);
    couleurCrayon(rouge);
    segment ((h-30*a),(k-30*b),(h+30*a),(k+30*b));
    segment ((h-30*a),(k+30*b),(h+30*a),(k-30*b));
}


public void ContourHyperboleVert(double  h, double  k, double a , double b){
    double coordy ; 
    double coordy2;
    double point1x= h+a;
    double point1y= k ;
    double point1y2=k;
    int la= valEnt(largeurZoneGraphique()/2);
    int ha= valEnt(hauteurZoneGraphique());
    point1x=-la;
    point1y=racine(b*b+((-la-h)*(-la-h))/(a*a)*(b*b))+k;
    point1y2=-1*(racine(b*b+((-la-h)*(-la-h))/(a*a)*(b*b)))+k;
        
    for (double coordx = -la ; coordx <= la ; coordx = coordx+1) {//permet de faire la partie droite de l'hyperbole
        double bcarre= b*b ;
        coordy = racine(bcarre+((coordx-h)*(coordx-h))/(a*a)*(bcarre))+k;
        coordy2 = -1*(racine(bcarre+((coordx-h)*(coordx-h))/(a*a)*(bcarre)))+k;
        couleurCrayon (noir);
        segment ( point1x, point1y, coordx , coordy);
        couleurCrayon (noir);
        segment (point1x, point1y2, coordx, coordy2);
        point1x=coordx ;
        point1y= coordy;
        point1y2 = coordy2;
    }
}

public void ecrisFormuleHyperboleVert(){
    double  h =(valeurGlissiere(1));
    double  k =(valeurGlissiere(2));
    double a =(valeurGlissiere(3));
    double b =(valeurGlissiere(4));  
    int la= valEnt(largeurZoneGraphique()/2);
    int ha= valEnt(hauteurZoneGraphique());

       
        ecrisGraphique( -la+30, ha/2.5, "( y            )");
        ecrisGraphique( -la+100, ha/2.455, "2");
        if (k != 0) {          // ! different de
            if (k > 0) {
                ecrisGraphique(-la+45, ha/2.5,"-" +k);
            }
            else {
                ecrisGraphique ( -la+45, ha/2.5,"+" + -k); 
            }
       }
       else {ecrisGraphique(-la+45, ha/2.5,"-" +k);}
       
    segment(-la+27, ha/2.7, -la+105, ha/2.7);
    ecrisGraphique(-la+35, ha/3.3, "(");
    ecrisGraphique(-la+40, ha/3.3, "" + b);
    ecrisGraphique(-la+90, ha/3.3, ")");
    ecrisGraphique(-la+95, ha/3.1, "2");
       
    ecrisGraphique( -la+113, ha/2.7, "-"); 
    ecrisGraphique( -la+125, ha/2.5, "( x            )");  
    ecrisGraphique( -la+195, ha/2.455, "2");  
        if (h != 0) {   
           if (h > 0) {
            ecrisGraphique(-la+140, ha/2.5, "-" + h);
           } 
            else {
              ecrisGraphique(-la+140, ha/2.5, "+" + -h);   
            }
        }
       else {ecrisGraphique(-la+140, ha/2.5, "-" + h);}
    segment(-la+122, ha/2.7, -la+200, ha/2.7);
    ecrisGraphique(-la+130, ha/3.3, "(");
    ecrisGraphique(-la+135, ha/3.3, "" + a);
    ecrisGraphique(-la+185, ha/3.3, ")");
    ecrisGraphique(-la+190, ha/3.1, "2");
    ecrisGraphique(-la+205, ha/2.8, "= 1");
    }

public void DessinerFoyerHyperboleVert (double  h, double  k, double a, double b){

      double rayondisque= valeurGlissiere(5);
     
      couleurRemplissage(bleu);
      disque (h,racine(a*a+b*b)+k, rayondisque);
      disque (h,-racine(a*a+b*b)+k, rayondisque);
 
}

/**************************************PARABOLE HORIZONTALE****************************************************/
   
public void DessinerParaboleHoriz(double  h, double  k, double a, double b){
      DessinerSommetsParaboleHoriz(h,k,a,b);
      DessinerContourParaboleHoriz(h,k,a,b);
      ecrisFormuleParaboleHoriz();
}
    
public void DessinerSommetsParaboleHoriz(double  h, double  k, double a, double b){
    double rayondisque= valeurGlissiere(5);
    couleurRemplissage(noir);
    disque(h,k,rayondisque);
    couleurRemplissage(bleu);
    disque(h+(0.25/b*100),k,rayondisque);
    couleurCrayon(rouge);
    segment(h-(0.25/b*100),-500,h-(0.25/b*100),500);
   
}

public void DessinerContourParaboleHoriz(double  h, double  k, double a, double b){
   
    double coordx; 
    double point1x= h;
    double point1y= k ;
    int la= valEnt(largeurZoneGraphique());
    int ha= valEnt(hauteurZoneGraphique());
    point1y=-ha;
    point1x= b*((-ha-k)*(-ha-k))+h;
  
        
    for (double coordy = -ha ; coordy <= ha ; coordy = coordy+1) {
      
        coordx = (b*((coordy-k)*(coordy-k))+h*100); 
        couleurCrayon (noir);
        segment (point1x/100, point1y, coordx/100 , coordy);
        point1x=coordx ;
        point1y= coordy;               
        }
    } 


public void ecrisFormuleParaboleHoriz(){
    double  h =(valeurGlissiere(1));
    double  k =(valeurGlissiere(2));
    double a =(valeurGlissiere(3));
    double b =(valeurGlissiere(4));  
    int la= valEnt(largeurZoneGraphique()/2);
    int ha= valEnt(hauteurZoneGraphique());
    
    ecrisGraphique( -la+10, ha/2.5, "x =  " );  
    ecrisGraphique( -la+40, ha/2.5, ""+b );
      
    ecrisGraphique( -la+88, ha/2.5, "(y"   );   
    if (k != 0) {          // ! different de
            if (k > 0) {
            ecrisGraphique(-la+100, ha/2.5,"-" +k);
           }
            else {
            ecrisGraphique ( -la+100, ha/2.5,"+" + -k); 
           }
     
       }
     else {ecrisGraphique(-la+100, ha/2.5,"-" +k);}  
    ecrisGraphique(-la+150, ha/2.5, ")");
    ecrisGraphique(-la+160, ha/2.35, "2");    
    if (h != 0) {   
           if (h > 0) {
            ecrisGraphique(-la+170, ha/2.5, "+" + h);
           } 
            else {
              ecrisGraphique(-la+170, ha/2.5, "-" + -h);   
            }

        } 
     else {ecrisGraphique(-la+170, ha/2.5,"+" + h);}
}



/**************************************PARABOLE VERTICALE******************************************************/
public void DessinerParaboleVert(double  h, double  k, double a, double b){
    DessinerSommetsParaboleVert(h,k,a,b);
    DessinerContourParaboleVert(h,k,a,b);
    ecrisFormuleParaboleVert();
}
public void DessinerSommetsParaboleVert(double  h, double  k, double a, double b){
    double rayondisque= valeurGlissiere(5);
    couleurRemplissage(noir);
    disque(h,k,rayondisque);
    couleurRemplissage(bleu);
    disque(h,k+(0.25/a*100),rayondisque);
    couleurCrayon(rouge);
    segment(-500,k-(0.25/a*100),500,k-(0.25/a*100));
}
public void DessinerContourParaboleVert(double  h, double  k, double a, double b){
   
    double coordy ; 
    double point1x= h;
    double point1y= k ;
    int la= valEnt(largeurZoneGraphique()/2);
    int ha= valEnt(hauteurZoneGraphique());
    point1x=-la;
    point1y= a*((-la-h)*(-la-h))+k*200;
        
    for (double coordx = -la ; coordx <= la ; coordx = coordx+1) {
      
        coordy = a*((coordx-h)*(coordx-h))+k*200; // l'chelle de k doit ?tre ajuste aussi
        couleurCrayon (noir);
        segment ( point1x, point1y/200, coordx , coordy/200);
        point1x=coordx ;
        point1y= coordy;
        }
      
    }
public void ecrisFormuleParaboleVert()  {
    double  h =(valeurGlissiere(1));
    double  k =(valeurGlissiere(2));
    double a =(valeurGlissiere(3));
    double b =(valeurGlissiere(4));  
    int la= valEnt(largeurZoneGraphique()/2);
    int ha= valEnt(hauteurZoneGraphique());
    
    ecrisGraphique( -la+10, ha/2.5, "y = " );  
    ecrisGraphique( -la+40, ha/2.5, ""+a );
      
    ecrisGraphique( -la+88, ha/2.5, "(x"   );   
    if (h != 0) {          // ! different de
            if (h > 0) {
            ecrisGraphique(-la+100, ha/2.5,"-" +h);
           }
            else {
            ecrisGraphique ( -la+100, ha/2.5,"+" + -h); 
           }
     
       }
     else {ecrisGraphique(-la+100, ha/2.5,"-" +h);}  
    ecrisGraphique(-la+150, ha/2.5, ")");
    ecrisGraphique(-la+160, ha/2.35, "2");    
    if (k != 0) {   
           if (k > 0) {
            ecrisGraphique(-la+170, ha/2.5, "+" + k);
           } 
            else {
              ecrisGraphique(-la+170, ha/2.5, "-" + -k);   
            }

        } 
     else {ecrisGraphique(-la+170, ha/2.5,"+" + k);}
}








public void DessinerAxesDuPlan(){
    couleurCrayon (noir);
    int la= valEnt(largeurZoneGraphique()/2); 
 
    segment(-la,0,la-20,0); //Tracer Axe des X
    segment(la-20,0,la-30,-10);//bout de fl?che
    segment(la-20,0,la-30,10);//bout de la fleche
  
    int ha= valEnt(hauteurZoneGraphique());
    segment(0,-ha,0,ha/2.5+10);  // Tracer Axe des Y
    segment(0,ha/2.5+10,-10,ha/2.5);
    segment(0,ha/2.5+10,10,ha/2.5);
}
    

 
/**************  Les actions des boutons  ************************************/

public void actionBouton1(){
   ConiqueChoisie=0;  
   fixeValeurGlissiere(1,0);
   fixeValeurGlissiere(2,0);
   fixeValeurGlissiere(3,100);
   fixeValeurGlissiere(4,50);
   DessinerConiques();
}    

public void actionBouton2(){
   ConiqueChoisie=1;
   DessinerConiques(); 
}

public void actionBouton3(){
   ConiqueChoisie=2;
   DessinerConiques(); 
}
public void actionBouton4(){
   ConiqueChoisie=3;
   fixeValeurGlissiere(1,0);
   fixeValeurGlissiere(2,0);
   fixeValeurGlissiere(4,1);
   DessinerConiques(); 
}

public void actionBouton5(){
   ConiqueChoisie=4;
   fixeValeurGlissiere(1,0);
   fixeValeurGlissiere(2,0);
   fixeValeurGlissiere(3,1);
   DessinerConiques(); 
}

public void actionBouton6(){
   quitter();
}

/**************  Les actions des menus  ****************************/

 public void actionMenu1Item1() {
 }

 public void actionMenu1Item2() {
 }
   
/*************** Les actions des glissieres *********************************/  
public void actionGlissiere1(double d) {
   DessinerConiques();
}

public void actionGlissiere2(double d) {
   DessinerConiques();
}    

public void actionGlissiere3(double d) {
   DessinerConiques();
}

public void actionGlissiere4(double d) {
   DessinerConiques();
}
public void actionGlissiere5(double d) {
   DessinerConiques();
}

 
/**************** Les actions de la souris *******************************/
    
    public void clicSouris(double x, double y){
    }
    
    public void debutGlisser(double x, double y){  
    }
    
    public void finGlisser(double x, double y){     
    }
    
    public void glisserEnCours(double x, double y){
    }
    
    public void actionTailleChange() {
      centreTortue();
      videGraphique();
      ecrisFormuleEllipse();
      ecrisFormuleHyperboleHoriz();
      ecrisFormuleHyperboleVert();
      ecrisFormuleParaboleVert();
      ecrisFormuleParaboleHoriz();
      DessinerConiques();
    }
/***************************************************************************
 * 
 *                  NE PAS MODIFIER CETTE SECTION 
 *                  
 **************************************************************************/    
    
    public static String[][] Menus = {nomsMenus1, nomsMenus2, nomsMenus3,
nomsMenus4, nomsMenus5, nomsMenus6, nomsMenus7, nomsMenus8};    
    
    public Expresso(int l, int h, String titre, String[] nomsBoutons1, String[]
nomsBoutons2, String[][] Menus, boolean avecTexte){
        super(l, h, titre, nomsBoutons1, nomsBoutons2, Menus, avecTexte);
    }
    
    public Expresso() {
        this(baseFenetre, hauteurFenetre, titreFenetre, nomsBoutonsLigne1,
nomsBoutonsLigne2, Menus, zoneTexte);
    }
    
    public static void executer(boolean applet){
        initGlissieres();
        ajoutDeGlissieres();
        Expresso maFenetre = new Expresso();
        faireApplet(applet);
        maFenetre.toFront();
        maFenetre.initialisation();
    }
    
    public static void main(String[] args){
        executer(false);
    }
     
}  